:root{
    --background: #101114;
    --primary-color: #1c1d20;
    --secondary-color: #4A4D57;
    --accent-color: #00ffc4;
    --text-color: #F9F9F9;
}
*{
    margin: 0;
    padding: 0;
}
html{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 16pt;
    color: var(--text-color);
}
body{
    background-color: var(--background);
    display: flex;
    /* justify-content: center; */
    align-items: center;
    flex-direction: column;
    min-height: 100vh;
    padding: 10px;
}
h1{
    margin-top: 100px;
    margin-bottom: 20px;
    font-size: 3rem;
    font-weight: 800;
    text-transform: uppercase;
    text-align: center;
    color: var(--accent-color);
}
.wrapper{
   
    width: 700px;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
#todo-input{
   box-sizing: border-box;
   padding: 12px 20px;
   width: 100%;
   background: none;
   border: 2px solid var(--secondary-color);
    border-radius: 1000px;
    font: inherit;
    color: var(--text-color);
    caret-color: var(--accent-color); 
}
#todo-input:focus{
    outline: none;
    /* border-color: var(--accent-color); */
}
form{
    position: relative;
}
#add-button{
   
    position: absolute;
    right: 0;
    top: 0;
    background-color: var(--accent-color);
    border: none;
    padding: 0 30px;
    height: 100%;
    border-radius: 1000px;
    color: var(--background);
    font: inherit;
    cursor: pointer;
    font-weight: 600;
}
.todo{
    margin-bottom: 10px;
    padding: 0 16px;
    background-color: var(--primary-color);
    border-radius: 15px;
    display: flex;
    align-items: center;
}
.todo .todo-text{
    
    padding: 15px;
    padding-right: 0;
    flex-grow: 1;
    transition: 200ms ease;
}
.delete-button{
    background: none;
    border: none;
    cursor: pointer;
    padding: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.delete-button svg{
    transition: 200ms ease;
}
.delete-button:hover svg{
    /* opacity: 0.8; */
    fill: #ff0033;
}
.custom-checkbox{
    /* width: 20px; */
    /* height: 20px; */
    border: 2px solid var(--accent-color);
    border-radius: 50%;
    min-height: 20px;
    min-width: 20px;
    flex-shrink: 0;
    /* margin-right: 15px; */
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: 200ms ease;
    cursor: pointer;
}
input[type="checkbox"]:checked ~ .custom-checkbox{
    /* display: none; */
    background-color: var(--accent-color);
}
input[type="checkbox"]:checked ~ .custom-checkbox svg{
    /* display: none; */
    fill: var(--primary-color);
}
input[type="checkbox"]:checked ~ .todo-text{
    /* display: none; */
    text-decoration: line-through;
    color: var(--secondary-color);
}
input[type="checkbox"]{
    display: none;
}
/* for mobile devices */
@media (max-width: 500px) {
  html{
    font-size: 12pt;
  }
  #add-button{
    position:unset; 
    width: 100%;
    margin-top: 10px;
    padding: 15px;
    height: auto;
  }
  h1{
    font-size: 15vw;
    margin-top: 50px;
  }
}